package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

/**
 * @author mozhu
 * @date 2022/1/22 17:05
 */
public class MemberUnionidWechatAccountQDTO implements Serializable {

    private static final long serialVersionUID = -3157724333718434496L;
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * unionid
     */
    private String unionid;
    /**
     * openId
     */
    private String openId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 参数(带参数的公众号二维码必填)
     */
    private String sceneStr;

    private boolean eventFlag = false ;

    public boolean isEventFlag() {
        return eventFlag;
    }

    public void setEventFlag(boolean eventFlag) {
        this.eventFlag = eventFlag;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getSceneStr() {
        return sceneStr;
    }

    public void setSceneStr(String sceneStr) {
        this.sceneStr = sceneStr;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }
}
